%global momorel 1
%global ocamlver 3.10.2

%define debug_package %{nil}

Name:           ocaml-omake
Version:        0.9.8.5
Release:        %{momorel}m%{?dist}
Summary:        OCaml build system with automated dependency analysis

Group:          Development/Tools
License:        "LGPLv2+ with exceptions and GPLv2+ and BSD"
URL:            http://omake.metaprl.org/download.html
Source0:        http://omake.metaprl.org/downloads/omake-%{version}-3.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0:         ocaml-omake-debian-stdin-stdout-fix.patch

BuildRequires:  ocaml >= %{ocamlver}
BuildRequires:  ocaml-findlib-devel
BuildRequires:  gamin-devel
BuildRequires:  readline-devel
BuildRequires:  ncurses-devel
#BuildRequires:  hevea
BuildRequires:  chrpath

%define _use_internal_dependency_generator 0
%define __find_requires /usr/lib/rpm/ocaml-find-requires.sh
%define __find_provides /usr/lib/rpm/ocaml-find-provides.sh


%description
OMake is a build system designed for scalability and portability. It
uses a syntax similar to make utilities you may have used, but it
features many additional enhancements, including the following.

 * Support for projects spanning several directories or directory
   hierarchies.

 * Fast, reliable, automated, scriptable dependency analysis using MD5
   digests, with full support for incremental builds.

 * Dependency analysis takes the command lines into account - whenever
   the command line used to build a target changes, the target is
   considered out-of-date.

 * Fully scriptable, includes a library that providing support for
   standard tasks in C, C++, OCaml, and LaTeX projects, or a mixture
   thereof.


%prep
%setup -q -n omake-%{version}
%patch0 -p1


%build
make all \
  PREFIX=%{_prefix} MANDIR=%{_mandir} BINDIR=%{_bindir} LIBDIR=%{_libdir}


%install
rm -rf $RPM_BUILD_ROOT
make install \
  INSTALL_ROOT=$RPM_BUILD_ROOT \
  PREFIX=%{_prefix} MANDIR=%{_mandir} BINDIR=%{_bindir} LIBDIR=%{_libdir}

chmod 0755 $RPM_BUILD_ROOT%{_bindir}/*
strip $RPM_BUILD_ROOT%{_bindir}/omake
strip $RPM_BUILD_ROOT%{_bindir}/cvs_realclean


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE LICENSE.OMake ocamldep/LICENSE.ocamldep-omake
%doc CHANGELOG.txt
%doc doc/txt/omake-doc.txt doc/ps/omake-doc.pdf doc/html/
%{_libdir}/omake/
%{_bindir}/ocamldep-omake
%{_bindir}/omake
%{_bindir}/osh
%{_bindir}/cvs_realclean


%changelog
* Tue May 20 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.8.5-1m)
- import from Fedora

* Fri May 16 2008 Richard W.M. Jones <rjones@redhat.com> - 0.9.8.5-3
- Rebuild with OCaml 3.10.2-2 (fixes bz 445545).

* Wed Apr 23 2008 Richard W.M. Jones <rjones@redhat.com> - 0.9.8.5-2
- Added stdin/stdout fix patch from Debian.

* Wed Apr 23 2008 Richard W.M. Jones <rjones@redhat.com> - 0.9.8.5-1
- Initial RPM release.
